Skip to content

Exchange result query

  • Endpoint: POST /aggregate-pay/api/gateway/queryExchangeOrder
  • Tags: Forex(New)

Description

Transaction results for API-initiated operations can be retrieved via this interface.

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Required

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesCurrent value:1.5
keyVersionstringYesCurrent value: 1
requestTimestringYescompliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesThe unique identifier assigned to the merchant app by PayerMax
memberIdstringYesthe unique identifier generated when the merchant signs the contract with PayerMax
dataobjectYes
data.outTradeNostringYesmaxLength: 64Merchant order id

Example

json
{
  "version": "1.5",
  "keyVersion": "1",
  "requestTime": "2025-12-05T20:55:13.712+08:00",
  "appId": "798b79c2e33a4d8e866410bf401551a7",
  "memberId": "20250619P01B00000075000002",
  "data": {
    "outTradeNo": "20251201004059PO66350070490846T04"
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYes‘Success.’
codestringYes‘APPLY_SUCCESS’ means success
dataobjectYes
data.accountInfoobjectYes
data.accountInfo.buyFundsAccountNostringYesBuy funds account number
data.accountInfo.sellFundsAccountNostringYesSell funds account number
data.transactionCurrencystringYesTransaction currency
data.sidestringYesBuy/Sell direction for the transaction currency
data.tradeNostringYesPlatform order number
data.targetCurrencystringYesTarget currency
data.targetAmountstringYesTarget amount
data.completeTimestringYesCompletion time
data.rateReferenceIdstringYesExchange rate version
data.ccyPairstringYes(= transaction currency + target currency)
data.ratestringYes(1 transaction currency = ? target currency)
data.outTradeNostringYesMerchant order id
data.transactionAmountstringYesTransaction amount
data.statusstringYes- PROCESSING: Processing - SUCCESS: Success - FAILED: Failed

Response Example

json
{
  "msg": "",
  "code": "APPLY_SUCCESS",
  "data": {
    "accountInfo": {
      "buyFundsAccountNo": "P25101038985",
      "sellFundsAccountNo": "P25101038984"
    },
    "transactionCurrency": "USD",
    "side": "SELL",
    "tradeNo": "20251205125637TU9495336408000531T05",
    "targetCurrency": "PHP",
    "targetAmount": "58624.94",
    "completeTime": "2025-12-05T12:56:37.000Z",
    "rateReferenceId": "tieredBatchId0076176493939752933802672",
    "ccyPair": "USDPHP",
    "rate": "58.56637500",
    "outTradeNo": "20251201004059PO66350070490846T04",
    "transactionAmount": "1001.00",
    "status": "SUCCESS"
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.